SimpleServerSocketFactory (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.tcp.SimpleServerSocketFactory interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.tcp
Interface SimpleServerSocketFactory

All Known Implementing Classes:
  SslServerSocketFactory, TcpServerSocketFactory

    public interface SimpleServerSocketFactory

Method Summary
`ServerSocket` | `createServerSocket(InetAddress address, int port, int backlog, Boolean reuse)`
`ServerSocket` | `createServerSocket(int port, int backlog, Boolean reuse)`
`ServerSocket` | `createServerSocket(URI uri, int backlog, Boolean reuse)`

Method Detail

### createServerSocket

    ServerSocket createServerSocket(URI uri,
                                    int backlog,
                                    Boolean reuse)
                                    throws IOException

  Parameters:
    `uri` - The address and port to connect to
    `backlog` - The backlog (or `Connector.INT_VALUE_NOT_SET`)
    `reuse` - Whether to reuse addresses (null for default)
  Returns:
    A new, bound server socket
  Throws:
    `IOException`

### createServerSocket

    ServerSocket createServerSocket(InetAddress address,
                                    int port,
                                    int backlog,
                                    Boolean reuse)
                                    throws IOException

  Throws:
    `IOException`

### createServerSocket

    ServerSocket createServerSocket(int port,
                                    int backlog,
                                    Boolean reuse)
                                    throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.